# GstH265Decoder

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstVideoDecoder
                        ╰──GstH265Decoder

The opaque GstH265Decoder data structure.

### Class structure

#### GstH265DecoderClass

The opaque GstH265DecoderClass data structure.

##### Fields

`parent_class` (GstVideoDecoderClass) –
No description available

### GstCodecs.H265DecoderClass

The opaque GstCodecs.H265DecoderClass data structure.

##### Attributes

`parent_class` (GstVideo.VideoDecoderClass) –
No description available

### GstCodecs.H265DecoderClass

The opaque GstCodecs.H265DecoderClass data structure.

##### Attributes

`parent_class` (GstVideo.VideoDecoderClass) –
No description available

## GstCodecs.H265Decoder

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstVideo.VideoDecoder
                        ╰──GstCodecs.H265Decoder

The opaque GstCodecs.H265Decoder data structure.

## GstCodecs.H265Decoder

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstVideo.VideoDecoder
                        ╰──GstCodecs.H265Decoder

The opaque GstCodecs.H265Decoder data structure.

### Methods

#### gst_h265_decoder_get_picture

    GstH265Picture *
    gst_h265_decoder_get_picture (GstH265Decoder * decoder,
                                  guint32 system_frame_number)

Retrive DPB and return a GstH265Picture corresponding to the system_frame_number

Parameters:

`decoder` –

a GstH265Decoder

`system_frame_number` –

a target system frame number of GstH265Picture

Returns ( [transfer: full][nullable]) –

a GstH265Picture if successful, or NULL otherwise

Since : 1.20

#### GstCodecs.H265Decoder.prototype.get_picture

    function GstCodecs.H265Decoder.prototype.get_picture(system_frame_number: Number): {
        // javascript wrapper for 'gst_h265_decoder_get_picture'
    }

Retrive DPB and return a GstCodecs.H265Picture corresponding to the system_frame_number

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`system_frame_number` (Number) –

a target system frame number of GstCodecs.H265Picture

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture if successful, or null otherwise

Since : 1.20

#### GstCodecs.H265Decoder.get_picture

    def GstCodecs.H265Decoder.get_picture (self, system_frame_number):
        #python wrapper for 'gst_h265_decoder_get_picture'

Retrive DPB and return a GstCodecs.H265Picture corresponding to the system_frame_number

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`system_frame_number` (int) –

a target system frame number of GstCodecs.H265Picture

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture if successful, or None otherwise

Since : 1.20

#### gst_h265_decoder_set_process_ref_pic_lists

    gst_h265_decoder_set_process_ref_pic_lists (GstH265Decoder * decoder,
                                                gboolean process)

Called to en/disable reference picture modification process.

Parameters:

`decoder` –

a GstH265Decoder

`process` –

whether subclass is requiring reference picture modification process

Since : 1.20

#### GstCodecs.H265Decoder.prototype.set_process_ref_pic_lists

    function GstCodecs.H265Decoder.prototype.set_process_ref_pic_lists(process: Number): {
        // javascript wrapper for 'gst_h265_decoder_set_process_ref_pic_lists'
    }

Called to en/disable reference picture modification process.

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`process` (Number) –

whether subclass is requiring reference picture modification process

Since : 1.20

#### GstCodecs.H265Decoder.set_process_ref_pic_lists

    def GstCodecs.H265Decoder.set_process_ref_pic_lists (self, process):
        #python wrapper for 'gst_h265_decoder_set_process_ref_pic_lists'

Called to en/disable reference picture modification process.

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`process` (bool) –

whether subclass is requiring reference picture modification process

Since : 1.20

### Virtual Methods

#### decode_slice

    GstFlowReturn
    decode_slice (GstH265Decoder * decoder,
                  GstH265Picture * picture,
                  GstH265Slice * slice,
                  GArray * ref_pic_list0,
                  GArray * ref_pic_list1)

Provides per slice data with parsed slice header and required raw bitstream for subclass to decode it. If gst_h265_decoder_set_process_ref_pic_lists is called with TRUE by the subclass, ref_pic_list0 and ref_pic_list1 are non-%NULL.

Parameters:

`decoder` –

a GstH265Decoder

`picture` ( [transfer: none]) –

a GstH265Picture

`slice` ( [transfer: none]) –

a GstH265Slice

`ref_pic_list0` –

(element-type GstH265Picture) (transfer none): an array of GstH265Picture pointers

`ref_pic_list1` –

(element-type GstH265Picture) (transfer none): an array of GstH265Picture pointers

Returns –
No description available

#### vfunc_decode_slice

    function vfunc_decode_slice(decoder: GstCodecs.H265Decoder, picture: GstCodecs.H265Picture, slice: GstCodecs.H265Slice, ref_pic_list0: [ GstCodecs.H265Picture ], ref_pic_list1: [ GstCodecs.H265Picture ]): {
        // javascript implementation of the 'decode_slice' virtual method
    }

Provides per slice data with parsed slice header and required raw bitstream for subclass to decode it. If GstCodecs.H265Decoder.prototype.set_process_ref_pic_lists is called with true by the subclass, ref_pic_list0 and ref_pic_list1 are non-%NULL.

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`picture` (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

`slice` (GstCodecs.H265Slice) –

a GstCodecs.H265Slice

`ref_pic_list0` ([ GstCodecs.H265Picture ]) –

(element-type GstH265Picture) (transfer none): an array of GstCodecs.H265Picture pointers

`ref_pic_list1` ([ GstCodecs.H265Picture ]) –

(element-type GstH265Picture) (transfer none): an array of GstCodecs.H265Picture pointers

Returns (Gst.FlowReturn) –
No description available

#### do_decode_slice

    def do_decode_slice (decoder, picture, slice, ref_pic_list0, ref_pic_list1):
        #python implementation of the 'decode_slice' virtual method

Provides per slice data with parsed slice header and required raw bitstream for subclass to decode it. If GstCodecs.H265Decoder.set_process_ref_pic_lists is called with True by the subclass, ref_pic_list0 and ref_pic_list1 are non-%NULL.

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`picture` (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

`slice` (GstCodecs.H265Slice) –

a GstCodecs.H265Slice

`ref_pic_list0` ([ GstCodecs.H265Picture ]) –

(element-type GstH265Picture) (transfer none): an array of GstCodecs.H265Picture pointers

`ref_pic_list1` ([ GstCodecs.H265Picture ]) –

(element-type GstH265Picture) (transfer none): an array of GstCodecs.H265Picture pointers

Returns (Gst.FlowReturn) –
No description available

#### end_picture

    GstFlowReturn
    end_picture (GstH265Decoder * decoder,
                 GstH265Picture * picture)

Optional. Called per one GstH265Picture to notify subclass to finish decoding process for the GstH265Picture

Parameters:

`decoder` –

a GstH265Decoder

`picture` ( [transfer: none]) –

a GstH265Picture

Returns –
No description available

#### vfunc_end_picture

    function vfunc_end_picture(decoder: GstCodecs.H265Decoder, picture: GstCodecs.H265Picture): {
        // javascript implementation of the 'end_picture' virtual method
    }

Optional. Called per one GstCodecs.H265Picture to notify subclass to finish decoding process for the GstCodecs.H265Picture

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`picture` (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

Returns (Gst.FlowReturn) –
No description available

#### do_end_picture

    def do_end_picture (decoder, picture):
        #python implementation of the 'end_picture' virtual method

Optional. Called per one GstCodecs.H265Picture to notify subclass to finish decoding process for the GstCodecs.H265Picture

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`picture` (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

Returns (Gst.FlowReturn) –
No description available

#### get_preferred_output_delay

    guint
    get_preferred_output_delay (GstH265Decoder * decoder,
                                gboolean live)

Optional. Called by baseclass to query whether delaying output is preferred by subclass or not.

Parameters:

`decoder` –

a GstH265Decoder

`live` –

whether upstream is live or not

Returns –

the number of perferred delayed output frame

Since : 1.22

#### vfunc_get_preferred_output_delay

    function vfunc_get_preferred_output_delay(decoder: GstCodecs.H265Decoder, live: Number): {
        // javascript implementation of the 'get_preferred_output_delay' virtual method
    }

Optional. Called by baseclass to query whether delaying output is preferred by subclass or not.

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`live` (Number) –

whether upstream is live or not

Returns (Number) –

the number of perferred delayed output frame

Since : 1.22

#### do_get_preferred_output_delay

    def do_get_preferred_output_delay (decoder, live):
        #python implementation of the 'get_preferred_output_delay' virtual method

Optional. Called by baseclass to query whether delaying output is preferred by subclass or not.

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`live` (bool) –

whether upstream is live or not

Returns (int) –

the number of perferred delayed output frame

Since : 1.22

#### new_picture

    GstFlowReturn
    new_picture (GstH265Decoder * decoder,
                 GstVideoCodecFrame * frame,
                 GstH265Picture * picture)

Optional. Called whenever new GstH265Picture is created. Subclass can set implementation specific user data on the GstH265Picture via gst_h265_picture_set_user_data

Parameters:

`decoder` –

a GstH265Decoder

`frame` ( [transfer: none]) –

a GstVideoCodecFrame

`picture` ( [transfer: none]) –

a GstH265Picture

Returns –
No description available

#### vfunc_new_picture

    function vfunc_new_picture(decoder: GstCodecs.H265Decoder, frame: GstVideo.VideoCodecFrame, picture: GstCodecs.H265Picture): {
        // javascript implementation of the 'new_picture' virtual method
    }

Optional. Called whenever new GstCodecs.H265Picture is created. Subclass can set implementation specific user data on the GstCodecs.H265Picture via gst_h265_picture_set_user_data

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`frame` (GstVideo.VideoCodecFrame) –

a GstVideo.VideoCodecFrame

`picture` (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

Returns (Gst.FlowReturn) –
No description available

#### do_new_picture

    def do_new_picture (decoder, frame, picture):
        #python implementation of the 'new_picture' virtual method

Optional. Called whenever new GstCodecs.H265Picture is created. Subclass can set implementation specific user data on the GstCodecs.H265Picture via gst_h265_picture_set_user_data

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`frame` (GstVideo.VideoCodecFrame) –

a GstVideo.VideoCodecFrame

`picture` (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

Returns (Gst.FlowReturn) –
No description available

#### new_sequence

    GstFlowReturn
    new_sequence (GstH265Decoder * decoder,
                  const GstH265SPS * sps,
                  gint max_dpb_size)

Notifies subclass of video sequence update

Parameters:

`decoder` –

a GstH265Decoder

`sps` –

a GstH265SPS

`max_dpb_size` –

the size of dpb including preferred output delay by subclass reported via get_preferred_output_delay method.

Returns –
No description available

#### output_picture

    GstFlowReturn
    output_picture (GstH265Decoder * decoder,
                    GstVideoCodecFrame * frame,
                    GstH265Picture * picture)

Parameters:

`decoder` –
No description available
`frame` –
No description available
`picture` –
No description available
Returns –
No description available

#### vfunc_output_picture

    function vfunc_output_picture(decoder: GstCodecs.H265Decoder, frame: GstVideo.VideoCodecFrame, picture: GstCodecs.H265Picture): {
        // javascript implementation of the 'output_picture' virtual method
    }

Parameters:

`decoder` (GstCodecs.H265Decoder) –
No description available
`frame` (GstVideo.VideoCodecFrame) –
No description available
`picture` (GstCodecs.H265Picture) –
No description available
Returns (Gst.FlowReturn) –
No description available

#### do_output_picture

    def do_output_picture (decoder, frame, picture):
        #python implementation of the 'output_picture' virtual method

Parameters:

`decoder` (GstCodecs.H265Decoder) –
No description available
`frame` (GstVideo.VideoCodecFrame) –
No description available
`picture` (GstCodecs.H265Picture) –
No description available
Returns (Gst.FlowReturn) –
No description available

#### start_picture

    GstFlowReturn
    start_picture (GstH265Decoder * decoder,
                   GstH265Picture * picture,
                   GstH265Slice * slice,
                   GstH265Dpb * dpb)

Optional. Called per one GstH265Picture to notify subclass to prepare decoding process for the GstH265Picture

Parameters:

`decoder` –

a GstH265Decoder

`picture` ( [transfer: none]) –

a GstH265Picture

`slice` ( [transfer: none]) –

a GstH265Slice

`dpb` ( [transfer: none]) –

a GstH265Dpb

Returns –
No description available

#### vfunc_start_picture

    function vfunc_start_picture(decoder: GstCodecs.H265Decoder, picture: GstCodecs.H265Picture, slice: GstCodecs.H265Slice, dpb: GstCodecs.H265Dpb): {
        // javascript implementation of the 'start_picture' virtual method
    }

Optional. Called per one GstCodecs.H265Picture to notify subclass to prepare decoding process for the GstCodecs.H265Picture

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`picture` (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

`slice` (GstCodecs.H265Slice) –

a GstCodecs.H265Slice

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

Returns (Gst.FlowReturn) –
No description available

#### do_start_picture

    def do_start_picture (decoder, picture, slice, dpb):
        #python implementation of the 'start_picture' virtual method

Optional. Called per one GstCodecs.H265Picture to notify subclass to prepare decoding process for the GstCodecs.H265Picture

Parameters:

`decoder` (GstCodecs.H265Decoder) –

a GstCodecs.H265Decoder

`picture` (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

`slice` (GstCodecs.H265Slice) –

a GstCodecs.H265Slice

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

Returns (Gst.FlowReturn) –
No description available

## GstH265Dpb

## GstCodecs.H265Dpb

### Methods

#### gst_h265_dpb_add

    gst_h265_dpb_add (GstH265Dpb * dpb,
                      GstH265Picture * picture)

Store the picture and perform increase pic_latency_cnt as defined in "C.5.2.3 Additional bumping" process

Parameters:

`dpb` –

a GstH265Dpb

`picture` ( [transfer: full]) –

a GstH265Picture

#### GstCodecs.H265Dpb.prototype.add

    function GstCodecs.H265Dpb.prototype.add(picture: GstCodecs.H265Picture): {
        // javascript wrapper for 'gst_h265_dpb_add'
    }

Store the picture and perform increase pic_latency_cnt as defined in "C.5.2.3 Additional bumping" process

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`picture` (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

#### GstCodecs.H265Dpb.add

    def GstCodecs.H265Dpb.add (self, picture):
        #python wrapper for 'gst_h265_dpb_add'

Store the picture and perform increase pic_latency_cnt as defined in "C.5.2.3 Additional bumping" process

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`picture` (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

#### gst_h265_dpb_bump

    GstH265Picture *
    gst_h265_dpb_bump (GstH265Dpb * dpb,
                       gboolean drain)

Perform bumping process as defined in C.5.2.4 "Bumping" process. If drain is TRUE, dpb will remove a GstH265Picture from internal array so that returned GstH265Picture could hold the last reference of it

Parameters:

`dpb` –

a GstH265Dpb

`drain` –

whether draining or not

Returns ( [nullable][transfer: full]) –

a GstH265Picture which is needed to be outputted

Since : 1.20

#### GstCodecs.H265Dpb.prototype.bump

    function GstCodecs.H265Dpb.prototype.bump(drain: Number): {
        // javascript wrapper for 'gst_h265_dpb_bump'
    }

Perform bumping process as defined in C.5.2.4 "Bumping" process. If drain is true, dpb will remove a GstCodecs.H265Picture from internal array so that returned GstCodecs.H265Picture could hold the last reference of it

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`drain` (Number) –

whether draining or not

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture which is needed to be outputted

Since : 1.20

#### GstCodecs.H265Dpb.bump

    def GstCodecs.H265Dpb.bump (self, drain):
        #python wrapper for 'gst_h265_dpb_bump'

Perform bumping process as defined in C.5.2.4 "Bumping" process. If drain is True, dpb will remove a GstCodecs.H265Picture from internal array so that returned GstCodecs.H265Picture could hold the last reference of it

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`drain` (bool) –

whether draining or not

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture which is needed to be outputted

Since : 1.20

#### gst_h265_dpb_clear

    gst_h265_dpb_clear (GstH265Dpb * dpb)

Clear all stored GstH265Picture

Parameters:

`dpb` –

a GstH265Dpb

#### GstCodecs.H265Dpb.prototype.clear

    function GstCodecs.H265Dpb.prototype.clear(): {
        // javascript wrapper for 'gst_h265_dpb_clear'
    }

Clear all stored GstCodecs.H265Picture

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

#### GstCodecs.H265Dpb.clear

    def GstCodecs.H265Dpb.clear (self):
        #python wrapper for 'gst_h265_dpb_clear'

Clear all stored GstCodecs.H265Picture

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

#### gst_h265_dpb_delete_unused

    gst_h265_dpb_delete_unused (GstH265Dpb * dpb)

Delete not needed for output and not referenced all pictures from dpb

Parameters:

`dpb` –

a GstH265Dpb

#### GstCodecs.H265Dpb.prototype.delete_unused

    function GstCodecs.H265Dpb.prototype.delete_unused(): {
        // javascript wrapper for 'gst_h265_dpb_delete_unused'
    }

Delete not needed for output and not referenced all pictures from dpb

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

#### GstCodecs.H265Dpb.delete_unused

    def GstCodecs.H265Dpb.delete_unused (self):
        #python wrapper for 'gst_h265_dpb_delete_unused'

Delete not needed for output and not referenced all pictures from dpb

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

#### gst_h265_dpb_free

    gst_h265_dpb_free (GstH265Dpb * dpb)

Free the dpb

Parameters:

`dpb` –

a GstH265Dpb to free

#### GstCodecs.H265Dpb.prototype.free

    function GstCodecs.H265Dpb.prototype.free(): {
        // javascript wrapper for 'gst_h265_dpb_free'
    }

Free the dpb

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb to free

#### GstCodecs.H265Dpb.free

    def GstCodecs.H265Dpb.free (self):
        #python wrapper for 'gst_h265_dpb_free'

Free the dpb

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb to free

#### gst_h265_dpb_get_long_ref_by_poc

    GstH265Picture *
    gst_h265_dpb_get_long_ref_by_poc (GstH265Dpb * dpb,
                                      gint poc)

Find a long term reference picture which has matching poc

Parameters:

`dpb` –

a GstH265Dpb

`poc` –

a picture order count

Returns ( [nullable][transfer: full]) –

a GstH265Picture

#### GstCodecs.H265Dpb.prototype.get_long_ref_by_poc

    function GstCodecs.H265Dpb.prototype.get_long_ref_by_poc(poc: Number): {
        // javascript wrapper for 'gst_h265_dpb_get_long_ref_by_poc'
    }

Find a long term reference picture which has matching poc

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`poc` (Number) –

a picture order count

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

#### GstCodecs.H265Dpb.get_long_ref_by_poc

    def GstCodecs.H265Dpb.get_long_ref_by_poc (self, poc):
        #python wrapper for 'gst_h265_dpb_get_long_ref_by_poc'

Find a long term reference picture which has matching poc

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`poc` (int) –

a picture order count

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

#### gst_h265_dpb_get_max_num_pics

    gint
    gst_h265_dpb_get_max_num_pics (GstH265Dpb * dpb)

Parameters:

`dpb` –

a GstH265Dpb

Returns –

the number of maximum pictures

#### GstCodecs.H265Dpb.prototype.get_max_num_pics

    function GstCodecs.H265Dpb.prototype.get_max_num_pics(): {
        // javascript wrapper for 'gst_h265_dpb_get_max_num_pics'
    }

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

Returns (Number) –

the number of maximum pictures

#### GstCodecs.H265Dpb.get_max_num_pics

    def GstCodecs.H265Dpb.get_max_num_pics (self):
        #python wrapper for 'gst_h265_dpb_get_max_num_pics'

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

Returns (int) –

the number of maximum pictures

#### gst_h265_dpb_get_picture

    GstH265Picture *
    gst_h265_dpb_get_picture (GstH265Dpb * dpb,
                              guint32 system_frame_number)

Parameters:

`dpb` –

a GstH265Dpb system_frame_number The system frame number

`system_frame_number` –
No description available
Returns ( [transfer: full][nullable]) –

the picture identified with the specified system_frame_number, or NULL if DPB does not contain a GstH265Picture corresponding to the system_frame_number

Since : 1.20

#### GstCodecs.H265Dpb.prototype.get_picture

    function GstCodecs.H265Dpb.prototype.get_picture(system_frame_number: Number): {
        // javascript wrapper for 'gst_h265_dpb_get_picture'
    }

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb system_frame_number The system frame number

`system_frame_number` (Number) –
No description available
Returns (GstCodecs.H265Picture) –

the picture identified with the specified system_frame_number, or null if DPB does not contain a GstCodecs.H265Picture corresponding to the system_frame_number

Since : 1.20

#### GstCodecs.H265Dpb.get_picture

    def GstCodecs.H265Dpb.get_picture (self, system_frame_number):
        #python wrapper for 'gst_h265_dpb_get_picture'

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb system_frame_number The system frame number

`system_frame_number` (int) –
No description available
Returns (GstCodecs.H265Picture) –

the picture identified with the specified system_frame_number, or None if DPB does not contain a GstCodecs.H265Picture corresponding to the system_frame_number

Since : 1.20

#### gst_h265_dpb_get_pictures_all

    GArray *
    gst_h265_dpb_get_pictures_all (GstH265Dpb * dpb)

Return: (element-type GstH265Picture) (transfer full): a GArray of GstH265Picture stored in dpb

Parameters:

`dpb` –

a GstH265Dpb

Returns –
No description available

#### GstCodecs.H265Dpb.prototype.get_pictures_all

    function GstCodecs.H265Dpb.prototype.get_pictures_all(): {
        // javascript wrapper for 'gst_h265_dpb_get_pictures_all'
    }

Return: (element-type GstH265Picture) (transfer full): a GArray (not introspectable) of GstCodecs.H265Picture stored in dpb

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

Returns ([ GstCodecs.H265Picture ]) –
No description available

#### GstCodecs.H265Dpb.get_pictures_all

    def GstCodecs.H265Dpb.get_pictures_all (self):
        #python wrapper for 'gst_h265_dpb_get_pictures_all'

Return: (element-type GstH265Picture) (transfer full): a GArray (not introspectable) of GstCodecs.H265Picture stored in dpb

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

Returns ([ GstCodecs.H265Picture ]) –
No description available

#### gst_h265_dpb_get_ref_by_poc

    GstH265Picture *
    gst_h265_dpb_get_ref_by_poc (GstH265Dpb * dpb,
                                 gint poc)

Find a short or long term reference picture which has matching poc

Parameters:

`dpb` –

a GstH265Dpb

`poc` –

a picture order count

Returns ( [nullable][transfer: full]) –

a GstH265Picture

#### GstCodecs.H265Dpb.prototype.get_ref_by_poc

    function GstCodecs.H265Dpb.prototype.get_ref_by_poc(poc: Number): {
        // javascript wrapper for 'gst_h265_dpb_get_ref_by_poc'
    }

Find a short or long term reference picture which has matching poc

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`poc` (Number) –

a picture order count

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

#### GstCodecs.H265Dpb.get_ref_by_poc

    def GstCodecs.H265Dpb.get_ref_by_poc (self, poc):
        #python wrapper for 'gst_h265_dpb_get_ref_by_poc'

Find a short or long term reference picture which has matching poc

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`poc` (int) –

a picture order count

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

#### gst_h265_dpb_get_ref_by_poc_lsb

    GstH265Picture *
    gst_h265_dpb_get_ref_by_poc_lsb (GstH265Dpb * dpb,
                                     gint poc_lsb)

Find a short or long term reference picture which has matching poc_lsb

Parameters:

`dpb` –

a GstH265Dpb

`poc_lsb` –

a picture order count lsb

Returns ( [nullable][transfer: full]) –

a GstH265Picture

#### GstCodecs.H265Dpb.prototype.get_ref_by_poc_lsb

    function GstCodecs.H265Dpb.prototype.get_ref_by_poc_lsb(poc_lsb: Number): {
        // javascript wrapper for 'gst_h265_dpb_get_ref_by_poc_lsb'
    }

Find a short or long term reference picture which has matching poc_lsb

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`poc_lsb` (Number) –

a picture order count lsb

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

#### GstCodecs.H265Dpb.get_ref_by_poc_lsb

    def GstCodecs.H265Dpb.get_ref_by_poc_lsb (self, poc_lsb):
        #python wrapper for 'gst_h265_dpb_get_ref_by_poc_lsb'

Find a short or long term reference picture which has matching poc_lsb

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`poc_lsb` (int) –

a picture order count lsb

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

#### gst_h265_dpb_get_short_ref_by_poc

    GstH265Picture *
    gst_h265_dpb_get_short_ref_by_poc (GstH265Dpb * dpb,
                                       gint poc)

Find a short term reference picture which has matching poc

Parameters:

`dpb` –

a GstH265Dpb

`poc` –

a picture order count

Returns ( [nullable][transfer: full]) –

a GstH265Picture

#### GstCodecs.H265Dpb.prototype.get_short_ref_by_poc

    function GstCodecs.H265Dpb.prototype.get_short_ref_by_poc(poc: Number): {
        // javascript wrapper for 'gst_h265_dpb_get_short_ref_by_poc'
    }

Find a short term reference picture which has matching poc

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`poc` (Number) –

a picture order count

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

#### GstCodecs.H265Dpb.get_short_ref_by_poc

    def GstCodecs.H265Dpb.get_short_ref_by_poc (self, poc):
        #python wrapper for 'gst_h265_dpb_get_short_ref_by_poc'

Find a short term reference picture which has matching poc

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`poc` (int) –

a picture order count

Returns (GstCodecs.H265Picture) –

a GstCodecs.H265Picture

#### gst_h265_dpb_get_size

    gint
    gst_h265_dpb_get_size (GstH265Dpb * dpb)

Return: the length of stored dpb array

Parameters:

`dpb` –

a GstH265Dpb

Returns –
No description available

#### GstCodecs.H265Dpb.prototype.get_size

    function GstCodecs.H265Dpb.prototype.get_size(): {
        // javascript wrapper for 'gst_h265_dpb_get_size'
    }

Return: the length of stored dpb array

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

Returns (Number) –
No description available

#### GstCodecs.H265Dpb.get_size

    def GstCodecs.H265Dpb.get_size (self):
        #python wrapper for 'gst_h265_dpb_get_size'

Return: the length of stored dpb array

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

Returns (int) –
No description available

#### gst_h265_dpb_mark_all_non_ref

    gst_h265_dpb_mark_all_non_ref (GstH265Dpb * dpb)

Mark all pictures are not referenced

Parameters:

`dpb` –

a GstH265Dpb

#### GstCodecs.H265Dpb.prototype.mark_all_non_ref

    function GstCodecs.H265Dpb.prototype.mark_all_non_ref(): {
        // javascript wrapper for 'gst_h265_dpb_mark_all_non_ref'
    }

Mark all pictures are not referenced

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

#### GstCodecs.H265Dpb.mark_all_non_ref

    def GstCodecs.H265Dpb.mark_all_non_ref (self):
        #python wrapper for 'gst_h265_dpb_mark_all_non_ref'

Mark all pictures are not referenced

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

#### gst_h265_dpb_needs_bump

    gboolean
    gst_h265_dpb_needs_bump (GstH265Dpb * dpb,
                             guint max_num_reorder_pics,
                             guint max_latency_increase,
                             guint max_dec_pic_buffering)

Parameters:

`dpb` –

a GstH265Dpb

`max_num_reorder_pics` –

sps_max_num_reorder_pics[HighestTid]

`max_latency_increase` –

SpsMaxLatencyPictures[HighestTid]

`max_dec_pic_buffering` –

sps_max_dec_pic_buffering_minus1[HighestTid ] + 1 or zero if this shouldn't be used for bumping decision

Returns –

TRUE if bumping is required

Since : 1.20

#### GstCodecs.H265Dpb.prototype.needs_bump

    function GstCodecs.H265Dpb.prototype.needs_bump(max_num_reorder_pics: Number, max_latency_increase: Number, max_dec_pic_buffering: Number): {
        // javascript wrapper for 'gst_h265_dpb_needs_bump'
    }

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`max_num_reorder_pics` (Number) –

sps_max_num_reorder_pics[HighestTid]

`max_latency_increase` (Number) –

SpsMaxLatencyPictures[HighestTid]

`max_dec_pic_buffering` (Number) –

sps_max_dec_pic_buffering_minus1[HighestTid ] + 1 or zero if this shouldn't be used for bumping decision

Returns (Number) –

true if bumping is required

Since : 1.20

#### GstCodecs.H265Dpb.needs_bump

    def GstCodecs.H265Dpb.needs_bump (self, max_num_reorder_pics, max_latency_increase, max_dec_pic_buffering):
        #python wrapper for 'gst_h265_dpb_needs_bump'

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`max_num_reorder_pics` (int) –

sps_max_num_reorder_pics[HighestTid]

`max_latency_increase` (int) –

SpsMaxLatencyPictures[HighestTid]

`max_dec_pic_buffering` (int) –

sps_max_dec_pic_buffering_minus1[HighestTid ] + 1 or zero if this shouldn't be used for bumping decision

Returns (bool) –

True if bumping is required

Since : 1.20

#### gst_h265_dpb_num_ref_pictures

    gint
    gst_h265_dpb_num_ref_pictures (GstH265Dpb * dpb)

Parameters:

`dpb` –

a GstH265Dpb

Returns –

The number of referenced pictures

#### GstCodecs.H265Dpb.prototype.num_ref_pictures

    function GstCodecs.H265Dpb.prototype.num_ref_pictures(): {
        // javascript wrapper for 'gst_h265_dpb_num_ref_pictures'
    }

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

Returns (Number) –

The number of referenced pictures

#### GstCodecs.H265Dpb.num_ref_pictures

    def GstCodecs.H265Dpb.num_ref_pictures (self):
        #python wrapper for 'gst_h265_dpb_num_ref_pictures'

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

Returns (int) –

The number of referenced pictures

#### gst_h265_dpb_set_max_num_pics

    gst_h265_dpb_set_max_num_pics (GstH265Dpb * dpb,
                                   gint max_num_pics)

Set the number of maximum allowed pictures to store

Parameters:

`dpb` –

a GstH265Dpb

`max_num_pics` –

the maximum number of picture

#### GstCodecs.H265Dpb.prototype.set_max_num_pics

    function GstCodecs.H265Dpb.prototype.set_max_num_pics(max_num_pics: Number): {
        // javascript wrapper for 'gst_h265_dpb_set_max_num_pics'
    }

Set the number of maximum allowed pictures to store

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`max_num_pics` (Number) –

the maximum number of picture

#### GstCodecs.H265Dpb.set_max_num_pics

    def GstCodecs.H265Dpb.set_max_num_pics (self, max_num_pics):
        #python wrapper for 'gst_h265_dpb_set_max_num_pics'

Set the number of maximum allowed pictures to store

Parameters:

`dpb` (GstCodecs.H265Dpb) –

a GstCodecs.H265Dpb

`max_num_pics` (int) –

the maximum number of picture

### Functions

#### gst_h265_dpb_new

    GstH265Dpb *
    gst_h265_dpb_new ()

Create new GstH265Dpb

Returns –

a new GstH265Dpb

## GstH265Picture

## GstCodecs.H265Picture

### Constructors

#### gst_h265_picture_new

    GstH265Picture *
    gst_h265_picture_new ()

Create new GstH265Picture

Returns –

a new GstH265Picture

#### GstCodecs.H265Picture.prototype.new

    function GstCodecs.H265Picture.prototype.new(): {
        // javascript wrapper for 'gst_h265_picture_new'
    }

Create new GstCodecs.H265Picture

Returns (GstCodecs.H265Picture) –

a new GstCodecs.H265Picture

#### GstCodecs.H265Picture.new

    def GstCodecs.H265Picture.new ():
        #python wrapper for 'gst_h265_picture_new'

Create new GstCodecs.H265Picture

Returns (GstCodecs.H265Picture) –

a new GstCodecs.H265Picture

## GstH265Slice

### Members

`header` (GstH265SliceHdr) –
No description available
`nalu` (GstH265NalUnit) –
No description available

## GstCodecs.H265Slice

### Members

`header (not introspectable)` (object) –
No description available
`nalu (not introspectable)` (object) –
No description available

## GstCodecs.H265Slice

### Members

`header (not introspectable)` (object) –
No description available
`nalu (not introspectable)` (object) –
No description available

## Function Macros

### GST_H265_DECODER_CAST

    #define GST_H265_DECODER_CAST(obj)       ((GstH265Decoder*)obj)

### GST_H265_PICTURE_CAST

    #define GST_H265_PICTURE_CAST(obj) (GST_H265_PICTURE(obj))

## Constants

### GST_H265_DPB_MAX_SIZE

    #define GST_H265_DPB_MAX_SIZE 16

### GstCodecs.H265_DPB_MAX_SIZE

The results of the search are